package com.arms.api.issue.type.strategy;

import com.arms.api.issue.type.model.vo.IssueTypeVO;
import com.arms.api.serverinfo.model.vo.ServerInfoVO;

import java.util.List;

public class IssueTypeStrategyFactory {

    IssueTypeStrategy issueTypeStrategy;

    public void registerIssueTypeStrategy(IssueTypeStrategy issueTypeStrategy) {
        this.issueTypeStrategy = issueTypeStrategy;
    }

    public List<IssueTypeVO> getIssueTypeList(ServerInfoVO serverInfoVO) {
        return this.issueTypeStrategy.getIssueTypeList(serverInfoVO);
    }

    public List<IssueTypeVO> getIssueTypeListByProject(ServerInfoVO serverInfoVO, String projectId) {
        return this.issueTypeStrategy.getIssueTypeListByProject(serverInfoVO, projectId);
    }

}